// SPDX-License-Identifier: MIT OR Apache-2.0
// Copyright (c) 2025 lacklustr@protonmail.com https://github.com/eadf

mod allocation;
mod build_manifold;
mod build_non_manifold;
mod common;
mod corner_index;
#[allow(dead_code)]
#[cfg(any(feature = "integrity_check", debug_assertions))]
mod integrity_check;
mod iterator;
mod navigation;
mod std_trait_impl;
#[cfg(test)]
mod tests;
mod triangle_index;

pub(crate) use common::CornerTable;
pub(crate) use common::DEFAULT_MAX_VALENCE;
pub(crate) use common::VertexFan;
pub(crate) use corner_index::CornerIndex;
pub(crate) use triangle_index::TriangleIndex;
